Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.huihoo.jfox.jmx
Interface ExtendedMBeanServer

All Superinterfaces:
  MBeanServer, MBeanServerConnection

All Known Implementing Classes:
  MBeanServerSupport

public interface ExtendedMBeanServer
extends MBeanServer

extends MBeanserver can provide extral funtion, ex: getClassLoader , Interceptor

Author:
  Young Yang

Method Summary
`void` | `registerInterceptor(MBeanServerInterceptorListener interceptor, MBeanServerNotificationFilter filter, java.lang.Object handback)`
`void` | `unregisterInterceptor(MBeanServerInterceptorListener interceptor)`

Methods inherited from interface javax.management.MBeanServer
`addNotificationListener, addNotificationListener, createMBean, createMBean, createMBean, createMBean, getAttribute, getAttributes, getClassLoader, getClassLoaderFor, getClassLoaderRepository, getDefaultDomain, getDomains, getMBeanCount, getMBeanInfo, getObjectInstance, instantiate, instantiate, instantiate, instantiate, invoke, isInstanceOf, isRegistered, queryMBeans, queryNames, registerMBean, removeNotificationListener, removeNotificationListener, removeNotificationListener, removeNotificationListener, setAttribute, setAttributes, unregisterMBean`

Method Detail

### registerInterceptor

    public void registerInterceptor(MBeanServerInterceptorListener interceptor,
                                    MBeanServerNotificationFilter filter,
                                    java.lang.Object handback)

### unregisterInterceptor

    public void unregisterInterceptor(MBeanServerInterceptorListener interceptor)
                               throws ListenerNotFoundException

    `ListenerNotFoundException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD